=== debian/changelog ===
vtkedge (0.2.0~20110819-2) unstable; urgency=low

  * Use my @d.o alias
  * Bump Std-Vers to 3.9.3, no changes needed
  * Update VCS urls
  * Remove explicit B-D to libgdcm2-dev, not required anymore
  * Reduce overlinking, fix underlinking

 -- Mathieu Malaterre <malat@debian.org>  Tue, 15 May 2012 11:04:49 +0200

vtkedge (0.2.0~20110819-1) unstable; urgency=low

  * Build upstream from newer svn (20110819)
  * Remove references to old GPL license. Closes: #634739
  * Install *.txx file. Closes: #632861
  * Bump Standard Revision to 3.9.2, no changes needed
  * use hardening compilation flags

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 19 Aug 2011 17:12:42 +0200

vtkedge (0.2.0~20110403-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/source/format: 3.0 (quilt)
  * Debhelper 8 (control+compat)

  [ Mathieu Malaterre ]
  * Use vtkedge from svn trunk to build against VTK 5.6. Closes: #618183
  * Copyright change from GPL to BSD
  * Manually change the cmake version to reflect ABI change

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 03 Apr 2011 22:16:29 +0200

vtkedge (0.1.0-3) unstable; urgency=low

  [ Charles Plessy ]
  * Pass --no-name to gzip in order to generate stable MD5 sums
    (debian/get-orig-source).

  [ Mathieu Malaterre ]
  * Fix VTKEdgeConfig.cmake points to wrong location for UseVTKEdge.cmake
    (Closes: #590843)
  * Update Standards-Version to 3.9.1 (no change needed)
  * Remove paraview plugin since not compatible with ParaView 3.8

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 19 Aug 2010 10:00:01 +0200

vtkedge (0.1.0-2) unstable; urgency=low

  * Team upload.

  [ Mathieu Malaterre ]
  * Fix lintian error : missing-build-dependency. No change required
  * Add paraview and ITK plugins

  [ Charles Plessy ]
  * debian/control:
    - Allow Mathieu to upload, by setting DM-Upload-Allowed to ‘yes’.
    - Tighten the build-dependancy on cmake >= 2.8.1.

 -- Charles Plessy <plessy@debian.org>  Mon, 24 May 2010 13:17:07 +0900

vtkedge (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #551978)

 -- Mathieu Malaterre (malat) <mathieu.malaterre@gmail.com>  Fri, 26 Feb 2010 15:29:32 +0100
