=== debian/control ===
Source: vtkedge
Homepage: http://www.vtkedge.org/
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 8), cmake (>= 2.8.1), libvtk5-dev (>= 5.6),
 libinsighttoolkit3-dev,
 qt4-dev-tools, qt4-qmake, libqt4-dev, libqtwebkit-dev | libqt4-dev (<< 4.7)
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/vtkedge/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/vtkedge/trunk/

Package: libvtkedge
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library of advanced visualization and data processing techniques - runtime
 VTKEdge is a library of advanced visualization and data processing techniques
 that complement the Visualization Toolkit (VTK), as well as custom modules to
 allow the use of these techniques within ParaView. VTKEdge does not replace
 VTK, but rather is built alongside VTK to provide additional functionality.
 VTKEdge is available as open source under the BSD licensing terms.
 This new toolkit was created by Kitware in order to
 provide the open source visualization community with access to some of our
 latest technology, while still meeting the commercialization requirements of
 the government contracts that funded the research and development effort.
 .
 This package contains the libraries needed to run VTKEdge applications.

Package: libvtkedge-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvtkedge (= ${binary:Version})
Description: Library of advanced visualization and data processing techniques - development
 VTKEdge is a library of advanced visualization and data processing techniques
 that complement the Visualization Toolkit (VTK), as well as custom modules to
 allow the use of these techniques within ParaView. VTKEdge does not replace
 VTK, but rather is built alongside VTK to provide additional functionality.
 VTKEdge is available as open source under the BSD licensing terms.
 This new toolkit was created by Kitware in order to
 provide the open source visualization community with access to some of our
 latest technology, while still meeting the commercialization requirements of
 the government contracts that funded the research and development effort.
 .
 This package contains the development files needed to build your own
 VTKEdge applications.
