=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

# testing does not work as we deactivate rpath during conf time
CMAKE_EXTRA_FLAGS += -DCMAKE_SKIP_RPATH=ON \
	-DVTK_DATA_ROOT:PATH=/usr/share/VTKData \
	-DCMAKE_SKIP_RPATH:BOOL=YES \
	-DBUILD_TESTING:BOOL=OFF \
	-DVTKEdge_BUILD_PARAVIEW_PLUGINS:BOOL=OFF \
	-DVTKEdge_USE_ITK:BOOL=ON
	# if anyone has an nvidia card...
	# -DVTKEdge_USE_CUDA:BOOL=ON -DVTKEdge_USE_NVCONTROL:BOOL=ON

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

get-orig-source:
	./debian/get-orig-source
